Skip to main content
GET
Children of a context graph box

Authorizations

Authorization
string
header
required

Enter "Bearer {token}"

Headers

X-CostGraph-Tenant-ID
string

Tenant ID

Query Parameters

parent
string

Box whose children to return; omit for the top-level boxes

include
string

Box to pin at the top of its level and return the ancestors of

open
string[]

Boxes the client has expanded (repeat the parameter or comma-separated); only decides which box a link to a box that is not shown points at

period
enum<string>

Window; defaults to last_7d

Available options:
month_to_date,
last_7d,
last_30d,
calendar_month,
custom
month
string

Closed calendar month in YYYY-MM format; required when period=calendar_month

start
string

Window start in RFC3339 format; required when period=custom

end
string

Window end in RFC3339 format; required when period=custom

scope
enum<string>

Return the whole network graph in one response; only network is accepted

Available options:
network
filter
string[]

Repeated key:value dimension filter, same keys and modifiers as /cost/query

group_limit
integer

Children per page; defaults to and is at most the server limit

group_offset
integer

Children to skip, at most the server limit; cannot be combined with cursor

cursor
string

next_cursor of the previous page

Response

OK

message
string
required
Example:

"some message"

status
string
required
Example:

"success"

data
object